Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.systemevents
Interface SystemListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  CinemaCoreGui, InvokerInternalQueue, SaveableOptions

public interface SystemListener
extends EventListener

SystemListener.java Listeners to system events. At the moment this consists of ShutDown events

Created: Thu Jan 14 17:48:54 1999

Compliant:

Version:
Author:
  Phillip Lord

Field Summary
`static int` | `NO_VETO` This value should be used when the system is going to shutdown regardless of errors
`static int` | `VETO_DUE_TO_ERROR` This value should be used when the System shutdown can not be aborted unless there is some error in the shutdown procedure
`static int` | `VETO_DUE_TO_USER_REQUEST` This value should be used when the user has full control over aborting the shutdown.

Method Summary
`void` | `systemEventOccured(SystemEvent e)` This is an event listener for system events.
`int` | `systemListenerPriority()` Some events (particularly shut downs) have to happen in a very specific order.

Field Detail

### VETO_DUE_TO_ERROR

    public static final int VETO_DUE_TO_ERROR

  This value should be used when the System shutdown can not be aborted unless there is some error in the shutdown procedure

  See Also:
    Constant Field Values

### VETO_DUE_TO_USER_REQUEST

    public static final int VETO_DUE_TO_USER_REQUEST

  This value should be used when the user has full control over aborting the shutdown.

  See Also:
    Constant Field Values

### NO_VETO

    public static final int NO_VETO

  This value should be used when the system is going to shutdown regardless of errors

  See Also:
    Constant Field Values

Method Detail

### systemEventOccured

    public void systemEventOccured(SystemEvent e)
                            throws SystemVetoException

  This is an event listener for system events. All listeners should be signalled before the SystemEvent occurs. They should not return from this method until they are ready for that event to occur. An exception is thrown if the listener wishes to veto this system event. g

  Parameters:
    `e` - the system event occuring
  Throws:
    `SystemVetoException` - if the listener does not want the event to happen

### systemListenerPriority

    public int systemListenerPriority()

  Some events (particularly shut downs) have to happen in a very specific order. This method provides a priority to allow this to happen. Those with the lowest priority are informed first. Any valid int value is acceptable. This interface does not provide the ability to set different priorities for different events. The same effect can be achieved by delegating the to a small class. This way a single object can register more than one listener object, and thus have different priorities for different events A listener should not change its priority. There is not guarentee when this value will be used.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD